package com.swago.baseswago.model.im;

import androidx.annotation.NonNull;

import com.swago.baseswago.R;
import com.swago.baseswago.im.IRoomChat;
import com.swago.baseswago.im.RoomMsgType;
import com.swago.baseswago.util.AppContext;

/**
 * @date 2022/3/18 14:08
 * description:
 */
public class FollowSuccessMsgBean implements IRoomChat {

   public String roomId="";
   public String senderId="";
   public String senderCode="";
   public String senderName="";
   public int senderLevel;
   public int isBenefit;
   public int isPrettyAccount;
   public int isService;
   public int isOfficial;


   @NonNull
   @Override
   public String getSenderName() {
      return senderName;
   }

   @NonNull
   @Override
   public String getMsgContent() {
      return AppContext.getContext().getResources().getString(R.string.follow_anchor);
   }

   @Override
   public int getMsgType() {
      return RoomMsgType.FOLLOW_MESSAGE;
   }

   @Override
   public int getUserLevel() {
      return senderLevel;
   }

   @Override
   public int getIsBenefit() {
      return isBenefit;
   }

   @NonNull
   @Override
   public String getSenderId() {
      return senderId;
   }

   @Override
   public boolean getIsPrettyId() {
      return isPrettyAccount==1;
   }
}
